# Amplitude

## Requirements

In order to integrate Teleskope with Amplitude for DSR requests, you must have

* Your **Amplitude URL** (Server Endpoint)
  * Typically either <https://amplitude.com/api/2> or <https://analytics.eu.amplitude.com/api/2>
* Your Amplitude project's **API key**. Follow Amplitude's docs for [steps to retrieve this key](https://www.docs.developers.amplitude.com/analytics/find-api-credentials/)
* Your Amplitude project's **secret key**. Follow Amplitude's docs for [steps to retrieve this key](https://www.docs.developers.amplitude.com/analytics/find-api-credentials/)

### Integrating with Amplitude

To integrate Teleskope with Amplitude

1. Navigate to **Data Subject Rights** → **Third Party Integrations** and pick Amplitude
2. Enter the required fields for the integration and click **Save**.

### Parameter Defaults

* When Teleskope sends a Delete User request to Amplitude, it includes these parameters by default:

  * `delete_from_org`: `true`
  * `ignore_invalid_ids`: `true`

  Refer to Amplitude's [User Privacy Api](https://amplitude.com/docs/apis/analytics/user-privacy?h=delete) documentation
* Default Identifier for Amplitude = `amplitude_ids`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.teleskope.ai/the-platform/data-subject-rights/enroll-third-party-integrations/amplitude.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
